Subject: Re: [PATCH 02/02] add mask options to fwmark masking code

From: Patrick McHardy <[email-masked]>
Date: Mon, 20 Feb 2006 18:16:30 +0100

Michael Richardson wrote:
> [PATCH] This patch introduces a mask to the fwmark test cases in the advanced
> routing. This let's one test individual bits of the fwmark to determine
> how things should be routed (pick a routing table). This patch retains
> compatibility with tests that do not set the mask by assuming a mask
> of 0 is equivalent to a mask of 0xffffffff.

One last comment: instead of looking at the value you should check if
the mask attribute is present to decide when to use the compat mask.